Create APM one-time-use token

A token from this endpoint is necessary prior to loading any of the Alternative Payment Method (APM) iframes or running a transaction using an APM.

Any data (amount, currency, and so forth) that you want to be sent to the alternate payment method must be included in the body of this request. For details about each APM, as well as test cards and accounts, see Payment methods.

For a tutorial about how to make use of this endpoint, see the Run a sale transaction topic.

Note

After a token has been used to submit an iframe it cannot be used to load another. You must request a new APM one-time-use token prior to submitting each iframe.

Try It

To use the Try It feature for this endpoint, you can use the credentials for your Sandbox API user.

You can also use the following test account (that is connected with PayPal). Copy the value and paste it into the appropriate space in the Try It section to the right. username: [email protected] password: JZdzoXpdDeH6VA

Include any other parameters that you need for the body of the request, depending on what you are using the one-time-use token for, and which payment method you want to use. For details about each one, as well as test cards and accounts, see Payment methods.

Request parameters

  • isAuthOnly
  • data
  • data.amount
  • data.currency
  • data.customer
  • data.customer.email
  • data.customer.firstName
  • data.customer.lastName
  • data.customer.customerRef
  • data.customer.orderNumber
  • data.customer.billToAddressOne
  • data.customer.billToAddressTwo
  • data.customer.billToCity
  • data.customer.billToCountry
  • data.customer.billToPhone
  • data.customer.billToPostal
  • data.customer.billToState
  • data.customer.birthDate
  • data.customer.invoice
  • data.customer.shipToAddressOne
  • data.customer.shipToAddressTwo
  • data.customer.shipToCity
  • data.customer.shipToCountry
  • data.customer.shipToPhone
  • data.customer.shipToPostal
  • data.customer.shipToState
  • data.cart
  • data.cart.items
  • data.cart.items.item
  • data.cart.items.description
  • data.cart.items.quantity
  • data.cart.items.price
  • data.cart.items.type
  • data.cart.items.imageUrl
  • data.cart.items.productUrl
  • data.customFields
  • data.customFields.exampleKey
  • data.description
  • data.descriptor
  • data.descriptor.name
  • data.descriptor.address
  • data.descriptor.city
  • data.descriptor.state
  • data.descriptor.postal
  • data.descriptor.country
  • data.descriptor.phone
  • data.descriptor.url
  • data.descriptor.merchantId
  • data.descriptor.mcc
  • data.dueDate
  • data.locale
  • data.paymentMethod
  • customerRedirectUrl
  • processingOptions
  • processingOptions.merchantId
  • processingOptions.doNotProcessPayment
  • processingOptions.paymentOptionTag
  • processingOptions.saveRecurringToken
  • uiOptions
  • uiOptions.displaySubmitButton
  • uiOptions.css

Response parameters

  • expiration
  • token
  • asyncTraceId
  • expressIFrameUrl
  • redirectUrls
  • redirectUrls.paymentMethod
  • redirectUrls.url
  • buttonIFrameUrls
  • buttonIFrameUrls.paymentMethod
  • buttonIFrameUrls.url
Body Params

For a list of required and optional parameters, see the guide for the appropriate payment method.

data
object
required

Transaction data for the APM. For a list of other required and optional parameters, see the guide for the appropriate payment method.

string

The URL to which the customer will be redirected after completing their payment. The customer will be sent here upon successful or failed payment. This URL must use the HTTPS protocol.

boolean
Defaults to false

Set to true to run an auth only transaction.

Note

Auth only transactions are not supported by all alternative payment methods. An error message is returned if you attempt an auth only transaction through an alternative payment method that does not support this feature.

processingOptions
object

Processing options for the potential APM transaction.

uiOptions
object

Used to customize the iframe's user interface

Responses

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json